package org.kuali.student.lum.program.client.properties;

/**
 * Interface to represent the messages contained in resource bundle:
 * 	C:/Users/gboushey/workspace/trunk/ks-lum/ks-lum-program/src/main/java/org/kuali/student/lum/program/client/properties/program.properties'.
 */
public interface Program extends com.google.gwt.i18n.client.Messages {
  
  /**
   * Translated "Activate".
   * 
   * @return translated "Activate"
   */
  @DefaultMessage("Activate")
  @Key("button.activate")
  String button_activate();

  /**
   * Translated "Approve".
   * 
   * @return translated "Approve"
   */
  @DefaultMessage("Approve")
  @Key("button.approve")
  String button_approve();

  /**
   * Translated "Catalog Description".
   * 
   * @return translated "Catalog Description"
   */
  @DefaultMessage("Catalog Description")
  @Key("catalogInformation.catalogDescr")
  String catalogInformation_catalogDescr();

  /**
   * Translated "Publication Targets".
   * 
   * @return translated "Publication Targets"
   */
  @DefaultMessage("Publication Targets")
  @Key("catalogInformation.catalogPublicationTargets")
  String catalogInformation_catalogPublicationTargets();

  /**
   * Translated "Program Description".
   * 
   * @return translated "Program Description"
   */
  @DefaultMessage("Program Description")
  @Key("catalogInformation.descr")
  String catalogInformation_descr();

  /**
   * Translated "Duration Count".
   * 
   * @return translated "Duration Count"
   */
  @DefaultMessage("Duration Count")
  @Key("catalogInformation.durationCount")
  String catalogInformation_durationCount();

  /**
   * Translated "Duration Notes".
   * 
   * @return translated "Duration Notes"
   */
  @DefaultMessage("Duration Notes")
  @Key("catalogInformation.durationNotes")
  String catalogInformation_durationNotes();

  /**
   * Translated "Full Time / Part Time".
   * 
   * @return translated "Full Time / Part Time"
   */
  @DefaultMessage("Full Time / Part Time")
  @Key("catalogInformation.intensity")
  String catalogInformation_intensity();

  /**
   * Translated "Core Faculty Members".
   * 
   * @return translated "Core Faculty Members"
   */
  @DefaultMessage("Core Faculty Members")
  @Key("catalogInformation.publishedInstructors")
  String catalogInformation_publishedInstructors();

  /**
   * Translated "More Info".
   * 
   * @return translated "More Info"
   */
  @DefaultMessage("More Info")
  @Key("catalogInformation.referenceUrl")
  String catalogInformation_referenceUrl();

  /**
   * Translated "Duration".
   * 
   * @return translated "Duration"
   */
  @DefaultMessage("Duration")
  @Key("catalogInformation.stdDuration")
  String catalogInformation_stdDuration();

  /**
   * Translated "Comments".
   * 
   * @return translated "Comments"
   */
  @DefaultMessage("Comments")
  @Key("comments.button")
  String comments_button();

  /**
   * Translated "Cancel".
   * 
   * @return translated "Cancel"
   */
  @DefaultMessage("Cancel")
  @Key("common.cancel")
  String common_cancel();

  /**
   * Translated "Edit".
   * 
   * @return translated "Edit"
   */
  @DefaultMessage("Edit")
  @Key("common.edit")
  String common_edit();

  /**
   * Translated "Save Failed. There were validation errors: {0}".
   * 
   * @return translated "Save Failed. There were validation errors: {0}"
   */
  @DefaultMessage("Save Failed. There were validation errors: {0}")
  @Key("common.failedSave")
  String common_failedSave(String arg0);

  /**
   * Translated "New Program".
   * 
   * @return translated "New Program"
   */
  @DefaultMessage("New Program")
  @Key("common.newProgram")
  String common_newProgram();

  /**
   * Translated "Remove".
   * 
   * @return translated "Remove"
   */
  @DefaultMessage("Remove")
  @Key("common.remove")
  String common_remove();

  /**
   * Translated "Retrieving Data...".
   * 
   * @return translated "Retrieving Data..."
   */
  @DefaultMessage("Retrieving Data...")
  @Key("common.retrievingData")
  String common_retrievingData();

  /**
   * Translated "Save".
   * 
   * @return translated "Save"
   */
  @DefaultMessage("Save")
  @Key("common.save")
  String common_save();

  /**
   * Translated "Saving Data...".
   * 
   * @return translated "Saving Data..."
   */
  @DefaultMessage("Saving Data...")
  @Key("common.savingData")
  String common_savingData();

  /**
   * Translated "Status: {0}".
   * 
   * @return translated "Status: {0}"
   */
  @DefaultMessage("Status: {0}")
  @Key("common.status")
  String common_status(String arg0);

  /**
   * Translated "Save Successful".
   * 
   * @return translated "Save Successful"
   */
  @DefaultMessage("Save Successful")
  @Key("common.successfulSave")
  String common_successfulSave();

  /**
   * Translated "Do you want to save data?".
   * 
   * @return translated "Do you want to save data?"
   */
  @DefaultMessage("Do you want to save data?")
  @Key("confirmDialog.text")
  String confirmDialog_text();

  /**
   * Translated "Program Save".
   * 
   * @return translated "Program Save"
   */
  @DefaultMessage("Program Save")
  @Key("confirmDialog.title")
  String confirmDialog_title();

  /**
   * Translated "Return to Curriculum Management".
   * 
   * @return translated "Return to Curriculum Management"
   */
  @DefaultMessage("Return to Curriculum Management")
  @Key("link.backCurriculum")
  String link_backCurriculum();

  /**
   * Translated "Exit".
   * 
   * @return translated "Exit"
   */
  @DefaultMessage("Exit")
  @Key("link.exit")
  String link_exit();

  /**
   * Translated "Learning Objectives".
   * 
   * @return translated "Learning Objectives"
   */
  @DefaultMessage("Learning Objectives")
  @Key("lo.title")
  String lo_title();

  /**
   * Translated "Validation has failed for {0} specialization".
   * 
   * @return translated "Validation has failed for {0} specialization"
   */
  @DefaultMessage("Validation has failed for {0} specialization")
  @Key("major.variationFailed")
  String major_variationFailed(String arg0);

  /**
   * Translated "Validation has failed for following specializations: {0}".
   * 
   * @return translated "Validation has failed for following specializations: {0}"
   */
  @DefaultMessage("Validation has failed for following specializations: {0}")
  @Key("major.variationsFailed")
  String major_variationsFailed(String arg0);

  /**
   * Translated "Curriculum Oversight Division".
   * 
   * @return translated "Curriculum Oversight Division"
   */
  @DefaultMessage("Curriculum Oversight Division")
  @Key("managingBodies.curriculumOversightDivision")
  String managingBodies_curriculumOversightDivision();

  /**
   * Translated "Curriculum Oversight Unit".
   * 
   * @return translated "Curriculum Oversight Unit"
   */
  @DefaultMessage("Curriculum Oversight Unit")
  @Key("managingBodies.curriculumOversightUnit")
  String managingBodies_curriculumOversightUnit();

  /**
   * Translated "Deployment Division".
   * 
   * @return translated "Deployment Division"
   */
  @DefaultMessage("Deployment Division")
  @Key("managingBodies.deploymentDivision")
  String managingBodies_deploymentDivision();

  /**
   * Translated "Deployment Unit".
   * 
   * @return translated "Deployment Unit"
   */
  @DefaultMessage("Deployment Unit")
  @Key("managingBodies.deploymentUnit")
  String managingBodies_deploymentUnit();

  /**
   * Translated "Financial Control Division".
   * 
   * @return translated "Financial Control Division"
   */
  @DefaultMessage("Financial Control Division")
  @Key("managingBodies.financialControlDivision")
  String managingBodies_financialControlDivision();

  /**
   * Translated "Financial Control Unit".
   * 
   * @return translated "Financial Control Unit"
   */
  @DefaultMessage("Financial Control Unit")
  @Key("managingBodies.financialControlUnit")
  String managingBodies_financialControlUnit();

  /**
   * Translated "Financial Resources Division".
   * 
   * @return translated "Financial Resources Division"
   */
  @DefaultMessage("Financial Resources Division")
  @Key("managingBodies.financialResourcesDivision")
  String managingBodies_financialResourcesDivision();

  /**
   * Translated "Financial Resources Unit".
   * 
   * @return translated "Financial Resources Unit"
   */
  @DefaultMessage("Financial Resources Unit")
  @Key("managingBodies.financialResourcesUnit")
  String managingBodies_financialResourcesUnit();

  /**
   * Translated "See All Managing Bodies".
   * 
   * @return translated "See All Managing Bodies"
   */
  @DefaultMessage("See All Managing Bodies")
  @Key("managingBodies.seeAll")
  String managingBodies_seeAll();

  /**
   * Translated "Student Oversight Division".
   * 
   * @return translated "Student Oversight Division"
   */
  @DefaultMessage("Student Oversight Division")
  @Key("managingBodies.studentOversightDivision")
  String managingBodies_studentOversightDivision();

  /**
   * Translated "Student Oversight Unit".
   * 
   * @return translated "Student Oversight Unit"
   */
  @DefaultMessage("Student Oversight Unit")
  @Key("managingBodies.studentOversightUnit")
  String managingBodies_studentOversightUnit();

  /**
   * Translated "Actions".
   * 
   * @return translated "Actions"
   */
  @DefaultMessage("Actions")
  @Key("program.menu.actions.title")
  String program_menu_actions_title();

  /**
   * Translated "History".
   * 
   * @return translated "History"
   */
  @DefaultMessage("History")
  @Key("program.menu.history.title")
  String program_menu_history_title();

  /**
   * Translated "Program Sections".
   * 
   * @return translated "Program Sections"
   */
  @DefaultMessage("Program Sections")
  @Key("program.menu.sections")
  String program_menu_sections();

  /**
   * Translated "Description and Catalog Information".
   * 
   * @return translated "Description and Catalog Information"
   */
  @DefaultMessage("Description and Catalog Information")
  @Key("program.menu.sections.catalogInfo")
  String program_menu_sections_catalogInfo();

  /**
   * Translated "Learning Objectives".
   * 
   * @return translated "Learning Objectives"
   */
  @DefaultMessage("Learning Objectives")
  @Key("program.menu.sections.learningObjectives")
  String program_menu_sections_learningObjectives();

  /**
   * Translated "Program Managing Bodies".
   * 
   * @return translated "Program Managing Bodies"
   */
  @DefaultMessage("Program Managing Bodies")
  @Key("program.menu.sections.managingBodies")
  String program_menu_sections_managingBodies();

  /**
   * Translated "Key Program Information".
   * 
   * @return translated "Key Program Information"
   */
  @DefaultMessage("Key Program Information")
  @Key("program.menu.sections.programInformation")
  String program_menu_sections_programInformation();

  /**
   * Translated "Program Requirements".
   * 
   * @return translated "Program Requirements"
   */
  @DefaultMessage("Program Requirements")
  @Key("program.menu.sections.requirements")
  String program_menu_sections_requirements();

  /**
   * Translated "Specializations".
   * 
   * @return translated "Specializations"
   */
  @DefaultMessage("Specializations")
  @Key("program.menu.sections.specializations")
  String program_menu_sections_specializations();

  /**
   * Translated "Program Summary".
   * 
   * @return translated "Program Summary"
   */
  @DefaultMessage("Program Summary")
  @Key("program.menu.sections.summary")
  String program_menu_sections_summary();

  /**
   * Translated "Supporting Documents".
   * 
   * @return translated "Supporting Documents"
   */
  @DefaultMessage("Supporting Documents")
  @Key("program.menu.sections.supportingDocuments")
  String program_menu_sections_supportingDocuments();

  /**
   * Translated "View All Sections".
   * 
   * @return translated "View All Sections"
   */
  @DefaultMessage("View All Sections")
  @Key("program.menu.sections.viewAll")
  String program_menu_sections_viewAll();

  /**
   * Translated "Modify (no version)".
   * 
   * @return translated "Modify (no version)"
   */
  @DefaultMessage("Modify (no version)")
  @Key("programAction.modify")
  String programAction_modify();

  /**
   * Translated "Modify (with new version)".
   * 
   * @return translated "Modify (with new version)"
   */
  @DefaultMessage("Modify (with new version)")
  @Key("programAction.modifyVersion")
  String programAction_modifyVersion();

  /**
   * Translated "Program Actions: Modify, Retire...".
   * 
   * @return translated "Program Actions: Modify, Retire..."
   */
  @DefaultMessage("Program Actions: Modify, Retire...")
  @Key("programAction.title")
  String programAction_title();

  /**
   * Translated "Accreditation".
   * 
   * @return translated "Accreditation"
   */
  @DefaultMessage("Accreditation")
  @Key("programInformation.accreditation")
  String programInformation_accreditation();

  /**
   * Translated "Accreditations".
   * 
   * @return translated "Accreditations"
   */
  @DefaultMessage("Accreditations")
  @Key("programInformation.accreditations")
  String programInformation_accreditations();

  /**
   * Translated "You have indicated that you intend to activate this version of the program. This will replace the currently active version. If you choose to proceed you must update the following items in the previous version of this program.".
   * 
   * @return translated "You have indicated that you intend to activate this version of the program. This will replace the currently active version. If you choose to proceed you must update the following items in the previous version of this program."
   */
  @DefaultMessage("You have indicated that you intend to activate this version of the program. This will replace the currently active version. If you choose to proceed you must update the following items in the previous version of this program.")
  @Key("programInformation.activateInstructions")
  String programInformation_activateInstructions();

  /**
   * Translated "Activate Program".
   * 
   * @return translated "Activate Program"
   */
  @DefaultMessage("Activate Program")
  @Key("programInformation.activateProgram")
  String programInformation_activateProgram();

  /**
   * Translated "Add Accreditation".
   * 
   * @return translated "Add Accreditation"
   */
  @DefaultMessage("Add Accreditation")
  @Key("programInformation.addAccreditation")
  String programInformation_addAccreditation();

  /**
   * Translated "End Inst Admit Term".
   * 
   * @return translated "End Inst Admit Term"
   */
  @DefaultMessage("End Inst Admit Term")
  @Key("programInformation.admitTerm")
  String programInformation_admitTerm();

  /**
   * Translated "Program Approval Date".
   * 
   * @return translated "Program Approval Date"
   */
  @DefaultMessage("Program Approval Date")
  @Key("programInformation.approvalDate")
  String programInformation_approvalDate();

  /**
   * Translated "CIP 2000".
   * 
   * @return translated "CIP 2000"
   */
  @DefaultMessage("CIP 2000")
  @Key("programInformation.cip2000")
  String programInformation_cip2000();

  /**
   * Translated "CIP 2010".
   * 
   * @return translated "CIP 2010"
   */
  @DefaultMessage("CIP 2010")
  @Key("programInformation.cip2010")
  String programInformation_cip2010();

  /**
   * Translated "Classification".
   * 
   * @return translated "Classification"
   */
  @DefaultMessage("Classification")
  @Key("programInformation.classification")
  String programInformation_classification();

  /**
   * Translated "Code".
   * 
   * @return translated "Code"
   */
  @DefaultMessage("Code")
  @Key("programInformation.code")
  String programInformation_code();

  /**
   * Translated "Credential Program".
   * 
   * @return translated "Credential Program"
   */
  @DefaultMessage("Credential Program")
  @Key("programInformation.credentialProgram")
  String programInformation_credentialProgram();

  /**
   * Translated "Dates".
   * 
   * @return translated "Dates"
   */
  @DefaultMessage("Dates")
  @Key("programInformation.dates")
  String programInformation_dates();

  /**
   * Translated "Degree Type".
   * 
   * @return translated "Degree Type"
   */
  @DefaultMessage("Degree Type")
  @Key("programInformation.degreeType")
  String programInformation_degreeType();

  /**
   * Translated "End Program Enroll Term".
   * 
   * @return translated "End Program Enroll Term"
   */
  @DefaultMessage("End Program Enroll Term")
  @Key("programInformation.enrollTerm")
  String programInformation_enrollTerm();

  /**
   * Translated "End Program Entry Term".
   * 
   * @return translated "End Program Entry Term"
   */
  @DefaultMessage("End Program Entry Term")
  @Key("programInformation.entryTerm")
  String programInformation_entryTerm();

  /**
   * Translated "HEGIS".
   * 
   * @return translated "HEGIS"
   */
  @DefaultMessage("HEGIS")
  @Key("programInformation.hegis")
  String programInformation_hegis();

  /**
   * Translated "Identifying Details".
   * 
   * @return translated "Identifying Details"
   */
  @DefaultMessage("Identifying Details")
  @Key("programInformation.identifyingDetails")
  String programInformation_identifyingDetails();

  /**
   * Translated "Institution".
   * 
   * @return translated "Institution"
   */
  @DefaultMessage("Institution")
  @Key("programInformation.institution")
  String programInformation_institution();

  /**
   * Translated "Level".
   * 
   * @return translated "Level"
   */
  @DefaultMessage("Level")
  @Key("programInformation.level")
  String programInformation_level();

  /**
   * Translated "Location".
   * 
   * @return translated "Location"
   */
  @DefaultMessage("Location")
  @Key("programInformation.location")
  String programInformation_location();

  /**
   * Translated "Other Information".
   * 
   * @return translated "Other Information"
   */
  @DefaultMessage("Other Information")
  @Key("programInformation.otherInformation")
  String programInformation_otherInformation();

  /**
   * Translated "Program Title".
   * 
   * @return translated "Program Title"
   */
  @DefaultMessage("Program Title")
  @Key("programInformation.programTitle")
  String programInformation_programTitle();

  /**
   * Translated "Start Term".
   * 
   * @return translated "Start Term"
   */
  @DefaultMessage("Start Term")
  @Key("programInformation.startTerm")
  String programInformation_startTerm();

  /**
   * Translated "Key Program Information".
   * 
   * @return translated "Key Program Information"
   */
  @DefaultMessage("Key Program Information")
  @Key("programInformation.title")
  String programInformation_title();

  /**
   * Translated "Title Diploma".
   * 
   * @return translated "Title Diploma"
   */
  @DefaultMessage("Title Diploma")
  @Key("programInformation.titleDiploma")
  String programInformation_titleDiploma();

  /**
   * Translated "Title Full".
   * 
   * @return translated "Title Full"
   */
  @DefaultMessage("Title Full")
  @Key("programInformation.titleFull")
  String programInformation_titleFull();

  /**
   * Translated "Title Short".
   * 
   * @return translated "Title Short"
   */
  @DefaultMessage("Title Short")
  @Key("programInformation.titleShort")
  String programInformation_titleShort();

  /**
   * Translated "Title Transcript".
   * 
   * @return translated "Title Transcript"
   */
  @DefaultMessage("Title Transcript")
  @Key("programInformation.titleTranscript")
  String programInformation_titleTranscript();

  /**
   * Translated "Step 1: Build and Add Rules".
   * 
   * @return translated "Step 1: Build and Add Rules"
   */
  @DefaultMessage("Step 1: Build and Add Rules")
  @Key("programRequirements.manageViewPageStep1Title")
  String programRequirements_manageViewPageStep1Title();

  /**
   * Translated "Step 2: Combine Rules with Logic".
   * 
   * @return translated "Step 2: Combine Rules with Logic"
   */
  @DefaultMessage("Step 2: Combine Rules with Logic")
  @Key("programRequirements.manageViewPageStep2Title")
  String programRequirements_manageViewPageStep2Title();

  /**
   * Translated "Add <*> Rule".
   * 
   * @return translated "Add <*> Rule"
   */
  @DefaultMessage("Add <*> Rule")
  @Key("programRequirements.manageViewPageTitle")
  String programRequirements_manageViewPageTitle();

  /**
   * Translated "Add {0}".
   * 
   * @return translated "Add {0}"
   */
  @DefaultMessage("Add {0}")
  @Key("programRequirements.summaryViewPageAddRule")
  String programRequirements_summaryViewPageAddRule(String arg0);

  /**
   * Translated "Are you sure you want to delete this requirement?".
   * 
   * @return translated "Are you sure you want to delete this requirement?"
   */
  @DefaultMessage("Are you sure you want to delete this requirement?")
  @Key("programRequirements.summaryViewPageDeleteRequirementDialogMsg")
  String programRequirements_summaryViewPageDeleteRequirementDialogMsg();

  /**
   * Translated "Delete Requirement".
   * 
   * @return translated "Delete Requirement"
   */
  @DefaultMessage("Delete Requirement")
  @Key("programRequirements.summaryViewPageDeleteRequirementDialogTitle")
  String programRequirements_summaryViewPageDeleteRequirementDialogTitle();

  /**
   * Translated "Are you sure you want to delete this rule?".
   * 
   * @return translated "Are you sure you want to delete this rule?"
   */
  @DefaultMessage("Are you sure you want to delete this rule?")
  @Key("programRequirements.summaryViewPageDeleteRuleDialogMsg")
  String programRequirements_summaryViewPageDeleteRuleDialogMsg();

  /**
   * Translated "Delete Rule".
   * 
   * @return translated "Delete Rule"
   */
  @DefaultMessage("Delete Rule")
  @Key("programRequirements.summaryViewPageDeleteRuleDialogTitle")
  String programRequirements_summaryViewPageDeleteRuleDialogTitle();

  /**
   * Translated "No {0} currently exist for this program".
   * 
   * @return translated "No {0} currently exist for this program"
   */
  @DefaultMessage("No {0} currently exist for this program")
  @Key("programRequirements.summaryViewPageNoRule")
  String programRequirements_summaryViewPageNoRule(String arg0);

  /**
   * Translated "Program Requirements".
   * 
   * @return translated "Program Requirements"
   */
  @DefaultMessage("Program Requirements")
  @Key("programRequirements.summaryViewPageTitle")
  String programRequirements_summaryViewPageTitle();

  /**
   * Translated "Completion of a specialization is required for this program".
   * 
   * @return translated "Completion of a specialization is required for this program"
   */
  @DefaultMessage("Completion of a specialization is required for this program")
  @Key("programSpecialization.instructions")
  String programSpecialization_instructions();

  /**
   * Translated "Edit Dates".
   * 
   * @return translated "Edit Dates"
   */
  @DefaultMessage("Edit Dates")
  @Key("sideBar.dialog.title")
  String sideBar_dialog_title();

  /**
   * Translated "Last review date".
   * 
   * @return translated "Last review date"
   */
  @DefaultMessage("Last review date")
  @Key("sideBar.form.lastReviewDate")
  String sideBar_form_lastReviewDate();

  /**
   * Translated "Scheduled review date".
   * 
   * @return translated "Scheduled review date"
   */
  @DefaultMessage("Scheduled review date")
  @Key("sideBar.form.scheduledReviewDate")
  String sideBar_form_scheduledReviewDate();

  /**
   * Translated "HISTORY".
   * 
   * @return translated "HISTORY"
   */
  @DefaultMessage("HISTORY")
  @Key("sideBar.history")
  String sideBar_history();

  /**
   * Translated "Last review date:".
   * 
   * @return translated "Last review date:"
   */
  @DefaultMessage("Last review date:")
  @Key("sideBar.lastReviewDate")
  String sideBar_lastReviewDate();

  /**
   * Translated "Program last updated:".
   * 
   * @return translated "Program last updated:"
   */
  @DefaultMessage("Program last updated:")
  @Key("sideBar.programLastUpdated")
  String sideBar_programLastUpdated();

  /**
   * Translated "Scheduled review date:".
   * 
   * @return translated "Scheduled review date:"
   */
  @DefaultMessage("Scheduled review date:")
  @Key("sideBar.scheduledReviewDate")
  String sideBar_scheduledReviewDate();

  /**
   * Translated "Version: {0}".
   * 
   * @return translated "Version: {0}"
   */
  @DefaultMessage("Version: {0}")
  @Key("sideBar.version")
  String sideBar_version(String arg0);

  /**
   * Translated "View version history".
   * 
   * @return translated "View version history"
   */
  @DefaultMessage("View version history")
  @Key("sideBar.viewHistory")
  String sideBar_viewHistory();

  /**
   * Translated "Active".
   * 
   * @return translated "Active"
   */
  @DefaultMessage("Active")
  @Key("status.active")
  String status_active();

  /**
   * Translated "Approved".
   * 
   * @return translated "Approved"
   */
  @DefaultMessage("Approved")
  @Key("status.approved")
  String status_approved();

  /**
   * Translated "Draft".
   * 
   * @return translated "Draft"
   */
  @DefaultMessage("Draft")
  @Key("status.draft")
  String status_draft();

  /**
   * Translated "Superseded".
   * 
   * @return translated "Superseded"
   */
  @DefaultMessage("Superseded")
  @Key("status.superseded")
  String status_superseded();

  /**
   * Translated "Variation Sections".
   * 
   * @return translated "Variation Sections"
   */
  @DefaultMessage("Variation Sections")
  @Key("variation.menu.sections")
  String variation_menu_sections();

  /**
   * Translated "Key Specialization Information".
   * 
   * @return translated "Key Specialization Information"
   */
  @DefaultMessage("Key Specialization Information")
  @Key("variation.menu.sections.variationInformation")
  String variation_menu_sections_variationInformation();

  /**
   * Translated "New Variation".
   * 
   * @return translated "New Variation"
   */
  @DefaultMessage("New Variation")
  @Key("variation.new")
  String variation_new();

  /**
   * Translated "Parent Program:".
   * 
   * @return translated "Parent Program:"
   */
  @DefaultMessage("Parent Program:")
  @Key("variation.parentProgram")
  String variation_parentProgram();

  /**
   * Translated "Specialization Summary".
   * 
   * @return translated "Specialization Summary"
   */
  @DefaultMessage("Specialization Summary")
  @Key("variation.summary")
  String variation_summary();

  /**
   * Translated "Specialization of {0}".
   * 
   * @return translated "Specialization of {0}"
   */
  @DefaultMessage("Specialization of {0}")
  @Key("variation.title")
  String variation_title(String arg0);

  /**
   * Translated "Specialization Description".
   * 
   * @return translated "Specialization Description"
   */
  @DefaultMessage("Specialization Description")
  @Key("variationCatalogInformation.descr")
  String variationCatalogInformation_descr();

  /**
   * Translated "Add Specialization".
   * 
   * @return translated "Add Specialization"
   */
  @DefaultMessage("Add Specialization")
  @Key("variationInformation.button.addSpecialization")
  String variationInformation_button_addSpecialization();

  /**
   * Translated "Key Specialization Information".
   * 
   * @return translated "Key Specialization Information"
   */
  @DefaultMessage("Key Specialization Information")
  @Key("variationInformation.title")
  String variationInformation_title();

  /**
   * Translated "Specialization Title".
   * 
   * @return translated "Specialization Title"
   */
  @DefaultMessage("Specialization Title")
  @Key("variationInformation.variationTitle")
  String variationInformation_variationTitle();
}
